/*  Creator: make/0

    Purpose: Provide index for autoload
*/

index(cgi_get_form(?), cgi, cgi).
index(crypt(?,?), crypt, crypt).
index(desktop_open(?), desktop, desktop).
index(desktop_open(?,?), desktop, desktop).
index(set_time_file(?,?,?), files_ex, filesex).
index(link_file(?,?,?), files_ex, filesex).
index(chmod(?,?), files_ex, filesex).
index(relative_file_name(?,?,?), files_ex, filesex).
index(directory_file_path(?,?,?), files_ex, filesex).
index(directory_member(?,?,?), files_ex, filesex).
index(copy_file(?,?), files_ex, filesex).
index(make_directory_path(?), files_ex, filesex).
index(ensure_directory(?), files_ex, filesex).
index(copy_directory(?,?), files_ex, filesex).
index(delete_directory_and_contents(?), files_ex, filesex).
index(delete_directory_contents(?), files_ex, filesex).
index(open_hash_stream(?,?,?), hash_stream, hash_stream).
index(stream_hash(?,?), hash_stream, hash_stream).
index(md5_hash(?,?,?), md5, md5).
index(new_memory_file(?), memory_file, memfile).
index(free_memory_file(?), memory_file, memfile).
index(size_memory_file(?,?), memory_file, memfile).
index(size_memory_file(?,?,?), memory_file, memfile).
index(open_memory_file(?,?,?), memory_file, memfile).
index(open_memory_file(?,?,?,?), memory_file, memfile).
index(insert_memory_file(?,?,?), memory_file, memfile).
index(delete_memory_file(?,?,?), memory_file, memfile).
index(atom_to_memory_file(?,?), memory_file, memfile).
index(memory_file_to_atom(?,?), memory_file, memfile).
index(memory_file_to_codes(?,?), memory_file, memfile).
index(memory_file_to_string(?,?), memory_file, memfile).
index(memory_file_to_atom(?,?,?), memory_file, memfile).
index(memory_file_to_codes(?,?,?), memory_file, memfile).
index(memory_file_to_string(?,?,?), memory_file, memfile).
index(memory_file_substring(?,?,?,?,?), memory_file, memfile).
index(memory_file_line_position(?,?,?,?), memory_file, memfile).
index(utf8_position_memory_file(?,?,?), memory_file, memfile).
index(process_create(?,?,?), process, process).
index(process_wait(?,?), process, process).
index(process_wait(?,?,?), process, process).
index(process_id(?), process, process).
index(process_id(?,?), process, process).
index(is_process(?), process, process).
index(process_release(?), process, process).
index(process_kill(?), process, process).
index(process_group_kill(?), process, process).
index(process_group_kill(?,?), process, process).
index(process_kill(?,?), process, process).
index(process_which(?,?), process, process).
index(process_set_method(?), process, process).
index(prolog_server(?,?), prolog_server, prolog_server).
index(open_prolog_stream(?,?,?,?), prolog_stream, prolog_stream).
index(rlimit(?,?,?), clib_rlimit, rlimit).
index(sha_hash(?,?,?), crypto_hash, sha).
index(sha_new_ctx(?,?), crypto_hash, sha).
index(sha_hash_ctx(?,?,?,?), crypto_hash, sha).
index(hmac_sha(?,?,?,?), crypto_hash, sha).
index(file_sha1(?,?), crypto_hash, sha).
index(hash_atom(?,?), crypto_hash, sha).
index(socket_create(?,?), socket, socket).
index(tcp_socket(?), socket, socket).
index(tcp_close_socket(?), socket, socket).
index(tcp_open_socket(?,?,?), socket, socket).
index(tcp_connect(?,?), socket, socket).
index(tcp_connect(?,?,?), socket, socket).
index(tcp_connect(?,?,?,?), socket, socket).
index(tcp_bind(?,?), socket, socket).
index(tcp_accept(?,?,?), socket, socket).
index(tcp_listen(?,?), socket, socket).
index(tcp_fcntl(?,?,?), socket, socket).
index(tcp_setopt(?,?), socket, socket).
index(tcp_getopt(?,?), socket, socket).
index(host_address(?,?,?), socket, socket).
index(tcp_host_to_address(?,?), socket, socket).
index(tcp_select(?,?,?), socket, socket).
index(gethostname(?), socket, socket).
index(ip_name(?,?), socket, socket).
index(tcp_open_socket(?,?), socket, socket).
index(udp_socket(?), socket, socket).
index(udp_receive(?,?,?,?), socket, socket).
index(udp_send(?,?,?,?), socket, socket).
index(negotiate_socks_connection(?,?), socket, socket).
index(stream_info(?), stream_info, streaminfo).
index(add_stream_to_pool(+,0), stream_pool, streampool).
index(delete_stream_from_pool(?), stream_pool, streampool).
index(close_stream_pool, stream_pool, streampool).
index(dispatch_stream_pool(?), stream_pool, streampool).
index(stream_pool_main_loop, stream_pool, streampool).
index(openlog(?,?,?), syslog, syslog).
index(syslog(?,?), syslog, syslog).
index(syslog(?,?,?), syslog, syslog).
index(closelog, syslog, syslog).
index(alarm(+,0,-), time, time).
index(alarm(+,0,-,+), time, time).
index(alarm_at(?,?,?), time, time).
index(alarm_at(+,0,-,+), time, time).
index(remove_alarm(?), time, time).
index(install_alarm(?), time, time).
index(install_alarm(?,?), time, time).
index(uninstall_alarm(?), time, time).
index(current_alarm(?,:,?,?), time, time).
index(call_with_time_limit(+,0), time, time).
index(call_with_time_limit(+,0,+), time, time).
index(udp_broadcast_initialize(?,?), udp_broadcast, udp_broadcast).
index(udp_broadcast_close(?), udp_broadcast, udp_broadcast).
index(udp_peer_add(?,?), udp_broadcast, udp_broadcast).
index(udp_peer_del(?,?), udp_broadcast, udp_broadcast).
index(udp_peer(?,?), udp_broadcast, udp_broadcast).
index(getuid(?), uid, uid).
index(getgid(?), uid, uid).
index(geteuid(?), uid, uid).
index(getegid(?), uid, uid).
index(getgroups(?), uid, uid).
index(user_info(?,?), uid, uid).
index(group_info(?,?), uid, uid).
index(user_data(?,?,?), uid, uid).
index(group_data(?,?,?), uid, uid).
index(setuid(?), uid, uid).
index(setgid(?), uid, uid).
index(seteuid(?), uid, uid).
index(setegid(?), uid, uid).
index(set_user_and_group(?), uid, uid).
index(set_user_and_group(?,?), uid, uid).
index(fork(?), unix, unix).
index(exec(?), unix, unix).
index(fork_exec(?), unix, unix).
index(wait(?,?), unix, unix).
index(kill(?,?), unix, unix).
index(pipe(?,?), unix, unix).
index(dup(?,?), unix, unix).
index(detach_IO, unix, unix).
index(detach_IO(?), unix, unix).
index(environ(?), unix, unix).
index(uri_components(?,?), uri, uri).
index(uri_data(?,?,?), uri, uri).
index(uri_data(?,?,?,?), uri, uri).
index(uri_edit(?,?,?), uri, uri).
index(uri_normalized(?,?), uri, uri).
index(iri_normalized(?,?), uri, uri).
index(uri_normalized_iri(?,?), uri, uri).
index(uri_normalized(?,?,?), uri, uri).
index(iri_normalized(?,?,?), uri, uri).
index(uri_normalized_iri(?,?,?), uri, uri).
index(uri_resolve(?,?,?), uri, uri).
index(uri_is_global(?), uri, uri).
index(uri_query_components(?,?), uri, uri).
index(uri_authority_components(?,?), uri, uri).
index(uri_authority_data(?,?,?), uri, uri).
index(uri_encoded(?,?,?), uri, uri).
index(uri_file_name(?,?), uri, uri).
index(uri_iri(?,?), uri, uri).
index(uuid(?), uuid, uuid).
index(uuid(?,?), uuid, uuid).
index(is_uuid(?), uuid, uuid).
index(uuid_property(?,?), uuid, uuid).
